## python-apt 0.5.4.3

=== debian/changelog ===
python-apt (0.5.4.3) unstable; urgency=low

  * #include <new> in python/generic.h so that we can build on ia64, which
    uses g++-2.96 (Closes: #137467)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Mar 2002 23:34:13 -0500

python-apt (0.5.4.2) unstable; urgency=high

  * Fix g++-3.0 compilation issues (Closes: #134020)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 24 Feb 2002 00:20:22 -0500

python-apt (0.5.4.1) unstable; urgency=low

  * Add apt-utils to build-depends, since libapt-pkg-dev doesn't pull it
    in.  This should allow python-apt to be autobuilt more readily.

 -- Matt Zimmerman <mdz@debian.org>  Sat, 23 Feb 2002 19:01:15 -0500

python-apt (0.5.4) unstable; urgency=low

  * Initial release.
  * Initial packaging by Jason Gunthorpe, et al.

 -- Matt Zimmerman <mdz@debian.org>  Wed, 16 Jan 2002 01:37:56 -0500
