=== debian/control ===
Source: python-apt
Section: devel
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Standards-Version: 3.1.1
Build-Depends: debhelper, libapt-pkg-dev, apt-utils, python-dev

Package: python-apt
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Priority: optional
Description: Python interface to libapt-pkg
 The apt-pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure
