=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=/usr/bin/python

build: build-stamp
build-stamp:
	dh_testdir

	$(PYTHON) setup.py build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(PYTHON) setup.py clean --all

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k

	$(PYTHON) setup.py install --prefix=`pwd`/debian/tmp/usr

	dh_installdocs
	# Hooks for doc-base. doc-base doesn't support `pdf' yet,
	# therefore this is still disabled.
	##XX install -d `pwd`/debian/tmp/usr/share/doc-base
	##XX cp debian/doc-base `pwd`/debian/tmp/usr/share/doc-base/python-ldap
	dh_installexamples doc/examples/*.py
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	$(PYTHON) debian/python-dep >> debian/substvars
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
