=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-apt
-Section: devel
+Section: python
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
+Uploaders: Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.1.1
-Build-Depends: debhelper, libapt-pkg-dev, apt-utils, python-dev
+Build-Depends: debhelper, libapt-pkg-dev (>= 0.5.5), apt-utils, python-dev (>= 2.3)
 
 Package: python-apt
 Architecture: any
