## python-apt 0.6.13.1ubuntu1

=== debian/changelog ===
python-apt (0.6.13.1ubuntu1) breezy; urgency=low

  * backported locking support from baz (needed to fix the various
    python-apt based apps that do no do lock-checking right now)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Sep 2005 14:56:14 +0200

python-apt (0.6.13.1) unstable; urgency=low

  * rebuild against latest apt 0.6.40.1

 -- Michael Vogt <mvo@debian.org>  Fri,  5 Aug 2005 13:53:22 +0200

python-apt (0.6.13) unstable; urgency=low

  * support for depcache added
  * support for the PkgProblemResolver added
  * support for PkgSrcRecord.BuildDepends added
  * support for cdrom handling (add, ident) added
  * support for progress reporting from operations added
    (e.g. OpProgress, FetchProgress, InstallProgress, CdromProgress)
  * added tests/ directory with various tests for the code
  * native apt/ python directory added that contains
    a more pythonic interface to apt_pkg
  * made the apt/ python code PEP08 conform
  * python exceptions return the apt error message now 
    (thanks to Chris Halls for the patch)
  
 -- Michael Vogt <mvo@debian.org>  Fri,  5 Aug 2005 10:30:31 +0200

python-apt (0.6.12.2) unstable; urgency=low

   * rebuild against the latest apt (c++ transition)

 -- Michael Vogt <mvo@debian.org>  Mon, 1 Aug 2005 11:06:03 +0200

python-apt (0.6.12.1) unstable; urgency=low

   * rebuild against the latest apt

 -- Michael Vogt <mvo@debian.org>  Tue, 28 Jun 2005 18:29:57 +0200 

python-apt (0.6.12ubuntu1) breezy; urgency=low

  * Greek0@gmx.net--2005-main/python-apt--debian--0.6:
    - python2.{3,4}-apt conflicts with python-apt (<< 0.6.11)
      (closes: #308586)
      (closes ubuntu: #11380)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 May 2005 11:34:05 +0200

python-apt (0.6.12) breezy; urgency=low
  
  * added a tests/ directory
  * added tests/pkgsrcrecords.py that will check if the pkgsrcrecords
    interface does not segfault
  * new native python "apt" interface that hides the details of apt_pkg

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 May 2005 10:11:52 +0200
  

python-apt (0.6.11) experimental; urgency=low

  * fixed some reference count problems in the depcache and 
    pkgsrcrecords code
  * DepCache.Init() is never called implicit now
  * merged with python-apt tree from Greek0@gmx.net--2005-main

 -- Michael Vogt <mvo@debian.org>  Fri,  6 May 2005 10:04:38 +0200
