=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Matt Zimmerman <mdz@debian.org>
-Standards-Version: 3.1.1
-Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.5.32), apt-utils, python, python-dev (>= 2.4), python2.3-dev
+Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
+Standards-Version: 3.6.1.1
+Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.6.40.1), apt-utils, python-dev, python2.4-dev, python2.3-dev
 
 Package: python-apt
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
+Architecture: all
+Depends: ${python:Depends}
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal 
@@ -22,7 +22,8 @@
 
 Package: python2.3-apt
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
+Depends: python2.3, ${shlibs:Depends}
+Conflicts: python-apt (<< 0.6.11)
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal 
@@ -33,3 +34,18 @@
   - Access to the APT package information database
   - Parsing of Debian package control files, and other files with a
     similar structure
+
+Package: python2.4-apt
+Architecture: any
+Depends: python2.4, ${shlibs:Depends}
+Conflicts: python-apt (<< 0.6.11)
+Priority: optional
+Description: Python interface to libapt-pkg
+ The apt-pkg Python interface will provide full access to the internal 
+ libapt-pkg structures allowing Python programs to easily perform a
+ variety of functions, such as:
+ .
+  - Access to the APT configuration system
+  - Access to the APT package information database
+  - Parsing of Debian package control files, and other files with a
+    similar structure
