## python-apt 0.6.16.1bpo1

=== debian/changelog ===
python-apt (0.6.16.1bpo1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- Norbert Tretkowski <nobse@backports.org>  Wed, 26 Apr 2006 19:45:33 +0200

python-apt (0.6.16.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Replaces: python-apt (<< 0.6.11), instead of Conflicts which is not
      correct here. (closes: #308586).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 14 Apr 2006 19:30:51 +0200

python-apt (0.6.16.1) unstable; urgency=low

  * memleak fixed when pkgCache objects are deallocated
  * typos fixed (thanks to Gustavo Franco)
  * pkgRecords.Record added to get raw record data
  * python/cache.cc: "key" in pkgCache::VerIterator.DependsList[key] is
                     no longer locale specific but always english

 -- Michael Vogt <mvo@debian.org>  Wed, 22 Feb 2006 10:41:13 +0100

python-apt (0.6.16) unstable; urgency=low

  * added GetPkgAcqFile to queue individual file downloads with the 
    system (dosn't make use of the improved pkgAcqFile yet)
  * added SourceList.GetIndexes()
  * rewrote apt.cache.update() to use the improved aquire interface
  * apt/ API change: apt.Package.candidateOrigin returns a list of origins 
    now instead of a single one
  * apt_pkg.Cdrom.Add() returns a boolean now, CdromProgress has totalSteps
  * added support for pkgIndexFile and added SourcesList.FindIndex()
  * added "trusted" to the Origin class

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  5 Jan 2006 00:56:36 +0100

python-apt (0.6.15) unstable; urgency=low

  * rewrote cache.Commit() and make it raise proper Exception if stuff
    goes wrong
  * fix a invalid return from cache.commit(), fail if a download failed
  * apt.Package.candidateOrigin returns a class now
  * added pkgAcquire, pkgPackageManager and a example (acquire.py)
  * tightend build-dependencies for new apt and the c++ transition

 -- Michael Vogt <mvo@debian.org>  Mon, 28 Nov 2005 23:48:37 +0100

python-apt (0.6.14) unstable; urgency=low

  * doc/examples/build-deps.py:
    - fixed/improved (thanks to Martin Michlmayr, closes: #321507)
  * apt_pkg.Cache.Update() does no longer reopen the cache
    (this is the job of the caller now)
  * python/srcrecords.cc:
    - support for "srcrecords.Files" added
    - always run "Restart" before performing a Lookup 
  * export locking via: GetLock(),PkgSystem{Lock,UnLock} 
  * apt/cache.py:
    - added  __iter__ to make "for pkg in apt.Cache:" stuff possible

 -- Michael Vogt <mvo@debian.org>  Wed,  9 Nov 2005 04:52:08 +0100
