=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
+Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.6.1.1
-Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.6.40.1), apt-utils, python-dev, python2.4-dev, python2.3-dev
+Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.6.40), apt-utils, python-dev, python2.4-dev, python2.3-dev
 
 Package: python-apt
 Architecture: all
@@ -23,7 +23,7 @@
 Package: python2.3-apt
 Architecture: any
 Depends: python2.3, ${shlibs:Depends}
-Conflicts: python-apt (<< 0.6.11)
+Replaces: python-apt (<< 0.6.11)
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal 
@@ -38,7 +38,7 @@
 Package: python2.4-apt
 Architecture: any
 Depends: python2.4, ${shlibs:Depends}
-Conflicts: python-apt (<< 0.6.11)
+Replaces: python-apt (<< 0.6.11)
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal
