## python-apt 0.6.16.2breezy1

=== debian/changelog ===
python-apt (0.6.16.2breezy1) breezy-updates; urgency=low

  * apt/progress.py: 
    - initialize FetchProgress.eta with the correct type
    - strip the staus str before passing it to InstallProgress.statusChanged()
    - added InstallProgress.statusChange(pkg, percent, status) 
    - make DumbInstallProgress a new-style class 
      (thanks to kamion for the suggestions)
    - fix various pychecker warnings
  * apt/cache.py:
    - return useful values on Cache.update()
  * apt/cache.py, apt/package.py: fix various pychecker warnings
  * backported the code 


 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  9 Mar 2006 10:30:27 +0000
