## python-apt 0.6.16.2ubuntu8

=== debian/changelog ===
python-apt (0.6.16.2ubuntu8) dapper; urgency=low

  * apt/package.py:
    - fix return value in {candidate,installed}Downloadable

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 May 2006 19:28:44 +0200

python-apt (0.6.16.2ubuntu7) dapper; urgency=low

  * apt/package.py:
    - check if _lookupRecord() succeeded when checking
      maintainer or description (fixes invalid descriptions under 
      rare circumstances in gnome-app-install)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 May 2006 18:12:58 +0200

python-apt (0.6.16.2ubuntu6) dapper; urgency=low

  * debian/control:
    - Replaces: python-apt (<< 0.6.11), instead of Conflicts which is not
      correct here. (closes: #308586).
  * python/srcrecords.cc:
    - don't run auto "Restart" before performing a Lookup (but require
      explicit "Restart", fixes the docs/examples/sources.py example)
    - fix the initalization (no need to pass a PkgCacheType to the records)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  8 May 2006 16:40:14 +0200

python-apt (0.6.16.2ubuntu5) dapper; urgency=low

  * apt/cache.py: Release locks on failure (thanks to Colin Watson)
    (closes: #35867)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Mar 2006 15:09:14 +0100

python-apt (0.6.16.2ubuntu4) dapper; urgency=low

  * apt/package.py: 
     - added Package.setDelete(purge) option

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  6 Mar 2006 18:59:33 +0000

python-apt (0.6.16.2ubuntu3) dapper; urgency=low

  * apt/package.py: undo some damager from pychecker

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  1 Mar 2006 15:34:23 +0100

python-apt (0.6.16.2ubuntu2) dapper; urgency=low

  * apt/progress.py: 
    - initialize FetchProgress.eta with the correct type
    - strip the staus str before passing it to InstallProgress.statusChanged()
  * apt/cache.py:
    - return useful values on Cache.update()
  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Feb 2006 14:07:06 +0100

python-apt (0.6.16.2ubuntu1) dapper; urgency=low

  * apt/progress.py: 
    - added InstallProgress.statusChange(pkg, percent, status) 
    - make DumbInstallProgress a new-style class 
      (thanks to kamion for the suggestions)
    - fix various pychecker warnings
  * apt/cache.py, apt/package.py: fix various pychecker warnings

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Feb 2006 12:04:37 +0100

python-apt (0.6.16ubuntu2) dapper; urgency=low

  * Drop python2.3 package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Feb 2006 15:27:26 +0000

python-apt (0.6.16ubuntu1) dapper; urgency=low

  * memleak fixed when pkgCache objects are deallocated

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jan 2006 00:08:05 +0100
