=== debian/control ===
Source: python-apt
Section: python
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
Standards-Version: 3.6.2.0
Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.6.40), apt-utils, python-dev, python2.4-dev

Package: python-apt
Architecture: all
Depends: ${python:Depends}
Priority: optional
Description: Python interface to libapt-pkg
 The apt-pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure

Package: python2.4-apt
Architecture: any
Depends: python2.4, ${shlibs:Depends}
Replaces: python-apt (<< 0.6.11)
Priority: optional
Description: Python interface to libapt-pkg
 The apt-pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure
