=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
-
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
 
@@ -16,6 +13,7 @@
 #export DH_VERBOSE=1
 
 PYTHON=python2.3 python2.4
+PYTHON=python2.4
 
 build: build-stamp
 build-stamp:
@@ -83,7 +81,7 @@
 arch-build:
 	rm -rf debian/arch-build
 	mkdir -p debian/arch-build/python-apt-$(DEBVER)
-	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/python-apt-$(DEBVER)
+	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/python-apt-$(DEBVER);tar xf -)
 	(cd debian/arch-build/python-apt-$(DEBVER); $(DEB_BUILD_PROG))
 
 binary: binary-indep binary-arch
