## python-apt 0.6.19ubuntu9

=== debian/changelog ===
python-apt (0.6.19ubuntu9) edgy; urgency=low

  * Reupload to restore dependency on python-central.
  * debian/rules: Remove dh_python call.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Oct 2006 14:26:46 +0200

python-apt (0.6.19ubuntu8) edgy; urgency=low

  * support pkgDepCache::ActionGroup()

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 Oct 2006 18:03:46 +0200

python-apt (0.6.19ubuntu7) edgy; urgency=low

  * python/generic.h:
    - fix incorrect use of PyMem_DEL(), use PyObject_DEL()
      instead. This fixes a nasty segfault with python2.5
      (lp: 63226)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Oct 2006 16:45:53 +0200

python-apt (0.6.19ubuntu6) edgy; urgency=low

  * python/progress.cc:
    - fix memleak (lp: #43096)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Oct 2006 18:33:44 +0200

python-apt (0.6.19ubuntu5) edgy; urgency=low

  * python/pkgmanager.cc:
    - fix typo (closes: #382853)
  * debian/control:
    - tightend dependency (closes: #383478)
  * apt/progress.py:
    - use os._exit() in the child (lp: #53298)
    - use select() when checking for statusfd (lp: #53282)
  * acknoledge NMU (closes: #378048, #373512)
  * python/apt_pkgmodule.cc:
    - fix missing docstring (closes: #368907), 
      Thanks to Josh Triplett
  * make it build against python2.5

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Sep 2006 18:28:19 +0200

python-apt (0.6.19ubuntu4) edgy; urgency=low

  * Rebuild to add support for python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  8 Sep 2006 13:32:47 +0000
  

python-apt (0.6.19ubuntu3) edgy; urgency=low

  * merged ddtp support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Aug 2006 16:25:51 +0200

python-apt (0.6.19ubuntu2) edgy; urgency=low

  * tightened build-deps on latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Aug 2006 17:02:30 +0200

python-apt (0.6.19ubuntu1) edgy; urgency=low

  [ Michael Vogt ]
  * doc/examples/print_uris.py:
    - added a example to show how the indexfile.ArchiveURI() can be used
      with binary packages
  * python/apt_pkgmodule.cc:
    - export sha256 generation
  * added support for the pkgDepCache.IsGarbage() flag

  [ Otavio Salvador ]
  * apt/cache.py:
    - fix commit doc string to also cite the open related callbacks
    - allow change of rootdir for APT database loading
    - add dh_installexamples in package building Closes: #376014

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 27 Jul 2006 15:00:55 +0200

python-apt (0.6.16.2ubuntu9) edgy; urgency=low

  * rebuild against the latest apt (with auto-mark support)
  * the full merge needs a newer python-support 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  3 Jul 2006 21:33:40 +0200
