## python-apt 0.6.19ubuntu9.1

=== debian/changelog ===
python-apt (0.6.19ubuntu9.1) edgy-proposed; urgency=low

  * protect against not-parsable strings send from dpkg (lp: 68553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Jan 2007 11:02:44 +0100
