## python-apt 0.6.20ubuntu16

=== debian/changelog ===
python-apt (0.6.20ubuntu16) feisty; urgency=low

  * Fix the addition of of sources that are already enabled but not with
    all components - fix LP#98795

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Wed,  4 Apr 2007 11:31:33 +0200

python-apt (0.6.20ubuntu15) unstable; urgency=low

  [ Sebastian Heinlein ]
  * Update the mirror lists from Launchpad
  * Only include http and ftp servers - LP#99060
  [Michael Vogt]
  * fix error in invalid unicode handler (LP#99753)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Apr 2007 14:25:31 +0200

python-apt (0.6.20ubuntu14) feisty; urgency=low

  [Michael Vogt]
  * aptsources/distro.py:
    - fix typo (LP#84009)
  * fix gettext import (LP#92764)
  * po/*.po:
    - make update-po
  [ Sebastian Heinlein ]
  * remove an oboslete function
  * fix the url comparision with trainling slashes - LP#95031

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Mar 2007 18:47:22 +0200

python-apt (0.6.20ubuntu13) feisty; urgency=low

  * fix in the duplicated source checking (thanks to Sebastian Heinlein)
  * python/depache.cc:
    - properly support isAutoInstalled flag

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Mar 2007 16:38:22 +0100

python-apt (0.6.20ubuntu12) feisty; urgency=low

  * apt/cdrom.py:
    - fix bug in cdrom __init__ code
  * debian/rules:
    - added "DH_PYCENTRAL=nomove"


 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  7 Mar 2007 10:41:00 +0100

python-apt (0.6.20ubuntu11) feisty; urgency=low

  * apt/packages.py:
    - support candidateDependencies, installedDependencies
    - support pkg.architecture
    - support candidateRecord, installedRecord

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Mar 2007 16:22:49 +0100

python-apt (0.6.20ubuntu10) feisty; urgency=low

  * debian/control:
    - added XS-Vcs-Bzr header to make finding the repo easier
  * apt/cache.py:
    - fix rootdir var

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  1 Mar 2007 14:36:33 +0100

python-apt (0.6.20ubuntu9) feisty; urgency=low

  * Re-add debian/python-apt.install (LP: #88134)
    - This seems to have gone missing between 0.6.20ubuntu6 and 0.6.20ubuntu8
    - This probably happened because it wasn't added to bzr

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 26 Feb 2007 14:04:15 -0800

python-apt (0.6.20ubuntu8) feisty; urgency=low

  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 18:41:37 +0100

python-apt (0.6.20ubuntu7) feisty; urgency=low

  * aptsources/distro.py:
    - fix crash in add_source (LP#85806)
  * apt/package.py:
    - handle invalid unicode more gracefully (LP#86215)
  * rebuild against latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 14:31:00 +0100

python-apt (0.6.20ubuntu6) feisty; urgency=low

  * Build the extension for the debug interpreter.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 02:10:37 +0100

python-apt (0.6.20ubuntu5) feisty; urgency=low

  * be more robust in has_repository (LP#84897)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Feb 2007 17:49:55 +0100

python-apt (0.6.20ubuntu4) feisty; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 16:40:37 +0100

python-apt (0.6.20ubuntu3) feisty; urgency=low

  * fixes in the new 'aptsources' module 
    (thanks to Sebastian Heinlein)
  * apt/cdrom.py:
    - better cdrom handling support
  * python/string.cc:
    - SizeToString supports PyLong too 
  * apt/cache.py:
    - fix rootdir

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  5 Feb 2007 10:29:55 +0100

python-apt (0.6.20ubuntu2) feisty; urgency=low

  * python/depcache.cc:
    - MarkInstall() has new FromUser argument to support marking
      packages as automatically installed
  * merged the 'aptsources' module for sources.list handling 
    (thanks to Sebastian Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  2 Feb 2007 16:26:38 +0100

python-apt (0.6.20ubuntu1) feisty; urgency=low

  * merged from debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Dec 2006 13:41:32 +0100

python-apt (0.6.20) unstable; urgency=low

  * python/generic.h:
    - fix incorrect use of PyMem_DEL(), use pyObject_DEL()
      instead. This fixes a nasty segfault with python2.5
      (lp: 63226)
  * python/pkgrecords.cc:
    - export SHA1Hash() as well
  * debian/rules: Remove dh_python call.
  * apt/progress.cc:
    - protect against not-parsable strings send from dpkg (lp: 68553)
  * python/pkgmanager.cc:
    - fix typo (closes: #382853)
  * debian/control:
    - tightend dependency (closes: #383478)
  * apt/progress.py:
    - use os._exit() in the child (lp: #53298)
    - use select() when checking for statusfd (lp: #53282)
  * acknoledge NMU (closes: #378048, #373512)
  * python/apt_pkgmodule.cc:
    - fix missing docstring (closes: #368907), 
      Thanks to Josh Triplett
  * make it build against python2.5
  * python/progress.cc:
    - fix memleak (lp: #43096)
  
 --  Michael Vogt <mvo@debian.org>  Tue, 19 Dec 2006 13:32:11 +0100
  

python-apt (0.6.19ubuntu9.1) edgy-updates; urgency=low

  * protect against not-parsable strings send from dpkg (lp: 68553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Oct 2006 10:41:44 +0200
